/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2009, 2012.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	//all IA config editor , input
	newConfig : "Create Impact Analysis Configuration",
	refresh: "Refresh",
	reset: "Reset",
	deleteConfig: "Delete",
	cancel: "Cancel",
	edit: "Edit",
	
	name: "Name",
	description: "Description",
	lastModified : "Last Modified",
	modifier: "Modifier",
	actions: "Actions",
	iaConfigTitle: "Impact Analysis Configurations",
	cantDelete: "The Impact Configuration '${0}' could not be deleted. It may be in use by one or more Impact Analysis diagrams.",
	cantReset: "The system Impact Configuration '${0}' could not be reset.",
	successDelete: "The Impact Configuration '${0}' was deleted.",
	successReset: "The system Impact Configuration '${0}' was reset.",
	systemDefined: "(system defined)",
	newImpactAnalysisConfigTitle: "New Impact Analysis Configuration",
	
	errorMissingTitle: 'CRMIA0001E The name of the impact analysis configuration is missing.', 
	'errorMissingTitle.explanation': 'The name uniquely identifies the impact analysis configuration in a list. ', 
	'errorMissingTitle.useraction': 'Specify a name that contains alphanumeric characters and spaces but no special characters.', 

	errorCreateNewIAConfig: "CRMIA0002E The server cannot create an impact analysis configuration.", 
	'errorCreateNewIAConfig.explanation': "An unexpected error occurred while creating an impact analysis configuration.", 
	'errorCreateNewIAConfig.useraction': "Verify that the server is running, and that you can connect to the server; then try to create the impact analysis configuration again.", 

	errorSaving:"CRMIA0003E Your changes to the impact analysis configuration cannot be saved.", 
	'errorSaving.explanation': "An unexpected error occurred while saving an impact analysis configuration.",
	'errorSaving.useraction':"Verify that the server is running, and that you can connect to the server; then try to save your changes again.", 

	errorGetDomains:"CRMIA0004E The server cannot retrieve the list of domains.", 
	'errorGetDomains.explanation':"An unexpected error occurred while retrieving the list of domains.", 
	'errorGetDomains.useraction':"Verify that the server is running, and that you can connect to the server; then try to retrieve the list again.", 

	errorGetLinkTypes:"CRMIA0005E The server cannot retrieve the list of link types.", 
	'errorGetLinkTypes.explanation':"An unexpected error occurred while retrieving the list of link types.",
	'errorGetLinkTypes.useraction':"Verify that the server is running, and that you can connect to the server;  then try to retrieve the list again.", 

	errorGetElementTypes:"CRMIA0006E The server cannot retrieve the list of artifact types.", 
	'errorGetElementTypes.explanation': "An unexpected error occurred while retrieving the list of artifact types.",
	'errorGetElementTypes.useraction':" Verify that the server is running, and that you can connect to the server;  then try to retrieve the list again.", 
	
	//IA editor:

	//General
	tabTitle_general: "General",
	remove:"Remove Impact Configuration",
	confirmDelete: "Are you sure you want to delete the Impact Analysis Configuration '${0}'?",
	confirmReset: "Are you sure you want to reset the system defined Impact Analysis Configuration '${0}'?",
	iaEditorName : "Impact Configuration Name:",
	iaEditorGeneralTitleSystemDefined:"System defined configuration",
	iaEditorDesc: "Description:",
	iaEditorUpStream:  "Upstream Levels:",
	iaEditorDownStream:  "Downstream Levels:",

	//Filters
	tabTitle_filters: "Filters",
	iaEditorIgnoreSelected: "Ignore Selected Artifacts and Links",
	iaEditorTypesAddToolTip: "Add Selection Artifact/Link Type",
	iaEditorTypesAdd: "Add",

	iaEditorFilteredElements: "Filtered Artifacts",
	iaEditorElementType: "Artifact Type",
	iaEditorSelectionElement: "Artifact",

	iaEditorFilteredLinks: "Filtered Links",
	iaEditorLinkType: "Link Type",
	iaEditorSelectionLink: "Link",
	
	//Project
	tabTitle_project: "Project Linking",
	iaEditorAdvancedTitle: "Advanced",
	iaEditorAdvancedInter: "Cross Domain Links:",
	
	//AddFilterDialog
	iaEditorSelectionElmDialogTool: "Domain:",
	iaEditorSelectionElmDialogType: "Value:",
	iaEditorSelectionElmDialogAdd: "Add",
	iaEditorSelectionElmDialogTitle: "Add Filter",
	iaEditorSelectionElmDialogNoElmForToolMsg: "No more Artifact/Link types are available to select for this domain.",
	addFilterDialogResourceLabel: 'Artifact',
	addFilterDialogPredicateLabel: 'Link',
	
	//TOOLS/DOMAIN - depracated
	iaEditorSelectedToolsTitle:"Domains",
	iaEditorToolName: "Domain Name ",
	iaEditorToolsLinkDirection: "Link Direction",
	iaEditorKeepDirection: "Keep the direction of links",
	iaEditorReverseDirection : "Reverse the direction of links",
	iaEditorToolsAdd: "Add",
	iaEditorToolsAddToolTip: "Add selected domain",
	iaEditorToolsRemove: "Remove Domain",
	iaEditorToolUsedByLinkMsg: "Domain being used by one of the Selection Link types below",
	iaEditorToolUsedByElementMsg: "Domain being used by one of the Selection Artifact types below",
	iaEditorSelectionToolDialogTitle: "Add Domain to Impact Analysis Configuration",
	iaEditorSelectionToolDialogTool:"Domain:",
	iaEditorSelectionToolDialogDirection:"Direction of Links:"
})
