/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2012.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function () {
	dojo.provide("dm.analysis.app.ui.XhrProxy"); 
	
	dojo.require("jazz.client.xhr");
	
	dojo.mixin(dm.analysis.app.ui.XhrProxy, {

		xhrGet: jazz.client.xhrGet,
		xhrPut: jazz.client.xhrPut,
		xhrPost: jazz.client.xhrPost,
		xhrDelete: jazz.client.xhrDelete,
		xhrHead: jazz.client.xhrHead,
		
		/**
		 * To be called by webUiInitializer of Application which requires the LQE Client.
		 * xhrCalls should define: xhrGet, xhrPut, xhrPost, xhrDelete, xhrHead
		 */
		setXhr: function(xhrCalls) {
			dojo.mixin(this, xhrCalls);
		}
	});

}());