/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2009, 2012.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	//ImpactAnalysis
	
	//AllImpactAnalysisesEditor and input
	noIALabel: "No diagrams found.",
	noIAFilterMatchesLabel: "No diagrams match the current filter criteria.",
	allAnalysisNew: "Create Impact Analysis",
	allAnalysisRefresh: "Refresh",
	allAnalysisName : "Name",
	allAnalysisElement :"Target Artifact",
	allAnalysisLastExecution: "Last Execution",
	allAnalysisResult: "Result",
	allAnalysisActions: "Actions",
	allAnalysisMainCaption: "Impact Analysis Diagrams",
	allAnalysisEdit: "Edit",
	allAnalysisDelete: "Delete",

	//ImpactAnalysisDiagram
	removeElementsIsNotUptodate: "The Artifact ${0} from the Removed Artifacts doesn't appear in the analysis result.",
	navigationTreeLabel: 'Types:',
	
	cantRemoveTargetElement:"Removing the Target Artifact is forbidden.",
	cantRemoveAddedElements:"Removing one of the Added Artifacts is forbidden.",
	confirmDeleteElement:"This Artifact and its related Artifacts will be removed from the diagram. Use the Removed Artifacts panel to undo this action.",
	setDistanceText:"Levels to display:",
	zoomFit:"Zoom to fit",
	resetZoom:"Reset Zoom",
	openLegend:"Open Legend",
	showEditLabel: "Show Edit Panel",
	hideEditLabel: "Dismiss",
	
	largeDiagramWarningIE8: "Diagram rendering performance in your browser (Internet Explorer 8) can be very slow for this size of diagram (${nArtifacts} artifacts, ${nLinks} links). Talk to your system administrator about upgrading to a more recent browser. If you find diagram rendering is taking too long, use the ${stopButtonLabel} button.",
	largeDiagramWarning: "Diagram rendering may be slow for a diagram of this size (${nArtifacts} artifacts, ${nLinks} links). Consider using or creating an Impact Analysis Configuration that limit the link types and artifact types retrieved. If you find diagram rendering is taking too long, use the ${stopButtonLabel} button.",
	renderingCancelled: "Diagram load stopped at your request.",
	
	//ImpactAnalysisInlineEditor messages
	tabTitle_impactDefinition: "Impact Definitions",
	tabTitle_added: "Added Artifacts",
	tabTitle_removed: "Hidden Artifacts",
	element: "Target Artifact:",
	maxHops : "Max Depth:",
	type: "Impact Analysis Configuration:",
	viewType : "View Type:",
	
	//messages for AddImpactComentDialog
	comentDialogSubject: "Subject",
	comentDialogComment: "Comment",
	comentDialogCreate: "Create",
	
	comentDialogCreateCommentFor: "Create Comment For",
	confirmDelete: "Are you sure you want to delete the Impact Analysis '${0}'?",
	
	drawingDiagram:"Drawing results ....",
	removeElementsfilterApplyed:"Removed Artifacts filter applied. ",
	removeElementsDistancefilterApplyed:"Removed Artifacts and Distance filters applied. ",
	distancefilterApplyed:"Distance filter applied. ",
		
	//IASideNavigation
	
	iaSideNavTreeCaption : "Navigation Tree",
	
	recentlyViewed: "Recently Viewed",

	// 0 - the resource number
	// 1 - the resource name
	recentName: "${0}: ${1}",
	
	// 0 - number of unsaved work
	unsavedWorkCount: "Unsaved Work (${0})",
	unsavedWork: "Unsaved Work",
	
	// 0 - the resource name
	dirtyName: "* ${0}",
	
	// 0 - name
	// 1 - description
	search_tooltip: "${0} (${1})",
	search_refresh_tooltip: "Run the most recent query again to show the latest results.",
	
	save: "Save",
	refresh: "Refresh",
	close: "Close",
	cancel: 'Cancel',
	stop: 'Stop',
	
	explorerTitle: "Explorer",
	snapshotTitle: "Snapshot",
	
	//impactanalysisEditor
	iaEditorSave: "Save",
	iaEditorExe: "Run",
	iaEditorLocate: "Choose Target Artifact",
	remove:"remove",

	//Error Messages:
	errorCreateNewIA: "CRMIA0100E The server cannot create the impact analysis diagram. ", 
	'errorCreateNewIA.explanation': "An unexpected error occurred while creating an impact analysis diagram.", 
	'errorCreateNewIA.useraction': "Verify that the server is running, and that you can connect to the server;  then try to create the impact analysis diagram again.", 

	errorGetAllIADiagrams:"CRMIA0101E The server cannot retrieve the list of impact analysis diagrams. ", 
	'errorGetAllIADiagrams.explanation':"An unexpected error occurred while retrieving the current impact analysis diagrams.", 
	'errorGetAllIADiagrams.useraction':" Verify that the server is running, and that you can connect to the server;  then try to retrieve the list of diagrams again.", 

	errorGetAllIAConfigs:"CRMIA0102E The server cannot retrieve the impact analysis configurations.", 
	'errorGetAllIAConfigs.explanation':"An unexpected error occurred while attempting to retrieve the current impact analysis configurations.", 
	'errorGetAllIAConfigs.useraction':"Verify that the server is running, and that you can connect to the server; then try to retrieve the list of configurations again.", 

	errorTargetInfo:"CRMIA0103E The server cannot retrieve information about the target artifact.", 
	'errorTargetInfo.explanation':"An unexpected error occurred while retrieving information about the target artifact.", 
	'errorTargetInfo.useraction':"Verify that the server is running, and that you can connect to the server; then select a valid target artifact and try again.", 

	errorUnavailableResource:"CRMIA0103E The requested resource (${0}) is unavailable.", 
	'errorUnavailableResource.explanation':"Either LQE has not indexed this resource or LQE is unreachable.", 
	'errorUnavailableResource.useraction':"Verify that LQE is running, and that you can connect to it; then make sure that the resource has been indexed and try again.", 

	errorSaving:"CRMIA0104E Your changes to the impact analysis diagram cannot be saved.", 
	'errorSaving.explanation':"An unexpected error occurred while attempting to save the impact analysis diagram.", 
	'errorSaving.useraction':" Verify that the server is running, and that you can connect to the server; then try to save your changes again.", 

	errorGetViewTypes:"CRMIA0105E The server cannot retrieve the list of view types.", 
	'errorGetViewTypes.explanation':"An unexpected error occurred while retrieving the list of view types.", 
	'errorGetViewTypes.useraction':"Verify that the server is running, and that you can connect to the server; then try to retrieve the list of view types again.", 

	errorMissingTitle: 'CRMIA0106E The name of the impact analysis diagram is missing. ', 
	'errorMissingTitle.explanation': 'The name uniquely identifies the impact analysis diagram in a list.', 
	'errorMissingTitle.useraction': 'Specify a name that contains alphanumeric characters and spaces but no special characters.', 

	errorMissingTargetElement: 'CRMIA0107E An invalid target artifact is specified for the impact analysis diagram.', 
	'errorMissingTargetElement.explanation': 'This situation can occur if the artifact was removed or if you switch to a  configuration context that does not contain the specified target artifact, and then run the impact analysis operation again.', 
	'errorMissingTargetElement.useraction': 'Select a valid target artifact for the impact analysis diagram.', 

	errorUnableToSaveIA: 'CRMIA0108E Your changes to the impact analysis diagram cannot be saved.', 
	'errorUnableToSaveIA.explanation': 'An unexpected error prevented the impact analysis diagram from being saved.', 
	'errorUnableToSaveIA.useraction': 'Verify that the server is running, and that you can connect to the server; then try to save your changes again.', 
	
	cantDelete: "Can't delete Impact Analysis",
	cantRunWithoutTargetElement: "You must first choose a Target Artifact before you are able to run an Impact Analysis.",
	newImpactAnalysisTitle: 'New Impact Analysis',

	//ImpactAnalysisPanelsContainer
	panelContainerDefinitionsTitle:"Impact Analysis Definitions",
	panelContainerPropertiesTitle: "Artifact Properties",
	panelTreeNavTitle: "Navigation Tree",
	panelContainerRemoveElementsTitle:"Removed Artifacts",
	panelContainerCommentTitle:"Comments",
	panelContainerAddedElementsTtitle:"Added Artifacts",
	
	//Unlimitedspinner
	unlimitedspinnerUnlimited: "&nbsp;&nbsp;Unlimited:&nbsp;&nbsp;",
	
	//IA tree
	
	//impact diagram
	reset: "Reset",
	
	// Popup menu for diagram nodes
	actionRemove: "Hide",
	actionPreview: "Preview",
	
	//LegendDialog
	legendDiagramTitle: "Legend",
	elementsLegend: "Artifacts Legend",
	linksLegend: "Links Legend",
	
	interLink: "Cross Domain Link" ,
	intraLink: "Internal Link" ,
	crossDomainLink: "Cross Domain Relation",

	// Layout types
	layoutHierarchical: "Hierarchical",
	layoutTree: "Tree",
	layoutRadialTree: "Radial Tree",
	layoutForceDirected: "Force-Directed",
	layoutCircular: "Circular",
	
	// Compute Impact Analysis
	computeImpactAnalysis: 'Computing Impact Analysis',

	computeImpactAnalysisError: 'CRMIA0110E The server cannot create the impact analysis diagram.',
	'computeImpactAnalysisError.explanation': 'An unexpected error prevented the creation of the impact analysis diagram.',
	'computeImpactAnalysisError.useraction': 'Verify that the server is running, and that you can connect to the server; then try to create the impact analysis diagram again.',
	
	// Iterator progress messages
	iteratorProgressWithTotal: '${0} of ${1}',
	iteratorProgress: '${0}',
	
	// DiagramLoader progress steps/messages
	diagramLoadInit: 'Initializing',
	diagramLoadCreateModel: 'Creating Model',
	diagramLoadCreateShapes: 'Creating Shapes: ${0}', // ${0}: iteratorProgress or iteratorProgressWithTotal message from above
	diagramLoadCreateLinks: 'Creating Links: ${0}', // ${0}: iteratorProgress or iteratorProgressWithTotal message from above
	diagramLoadLayout: 'Computing Layout'
})
