/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2009, 2012.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function () {
	dojo.provide("dm.analysis.app.ui.internal.impactanalysis.picker.LocateElementControler");
	
	dojo.require('dm.analysis.app.ui.picker');

	dojo.declare("dm.analysis.app.ui.internal.impactanalysis.picker.LocateElementControler", null,  {

		locateElement: function (impactEditor) {
			// summary:
			//		Open a host-supplied picker to locate a host resource
			
			dm.analysis.app.ui.picker.showPicker(function (resourceUri) {
				if (resourceUri) {
					impactEditor.updateAfterLocate(resourceUri);
				}
			});
		}
	});

}());